Package org.apache.storm.generated

# Class WorkerMetrics

java.lang.Object
org.apache.storm.generated.WorkerMetrics

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<WorkerMetrics>`, `org.apache.storm.thrift.TBase<WorkerMetrics,WorkerMetrics._Fields>`, `org.apache.storm.thrift.TSerializable`

@Generated("Autogenerated by Thrift Compiler (0.19.0)") public class WorkerMetrics extends Object implements org.apache.storm.thrift.TBase<WorkerMetrics,WorkerMetrics._Fields>, Serializable, Cloneable, Comparable<WorkerMetrics>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `WorkerMetrics._Fields`
  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<WorkerMetrics._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>`
  `metaDataMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkerMetrics()`
  `WorkerMetrics(String topologyId, int port, String hostname, WorkerMetricList metricList)`
  `WorkerMetrics(WorkerMetrics other)`
  Performs a deep copy on other.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `int`
  `compareTo(WorkerMetrics other)`
  `WorkerMetrics`
  `deepCopy()`
  `boolean`
  `equals(Object that)`
  `boolean`
  `equals(WorkerMetrics that)`
  `WorkerMetrics._Fields`
  `fieldForId(int fieldId)`
  `String`
  `get_hostname()`
  `WorkerMetricList`
  `get_metricList()`
  `int`
  `get_port()`
  `String`
  `get_topologyId()`
  `Object`
  `getFieldValue(WorkerMetrics._Fields field)`
  `int`
  `hashCode()`
  `boolean`
  `is_set_hostname()`
  Returns true if field hostname is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_metricList()`
  Returns true if field metricList is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_port()`
  Returns true if field port is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_topologyId()`
  Returns true if field topologyId is set (has been assigned a value) and false otherwise
  `boolean`
  `isSet(WorkerMetrics._Fields field)`
  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
  `void`
  `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
  `void`
  `set_hostname(String hostname)`
  `void`
  `set_hostname_isSet(boolean value)`
  `void`
  `set_metricList(WorkerMetricList metricList)`
  `void`
  `set_metricList_isSet(boolean value)`
  `void`
  `set_port(int port)`
  `void`
  `set_port_isSet(boolean value)`
  `void`
  `set_topologyId(String topologyId)`
  `void`
  `set_topologyId_isSet(boolean value)`
  `void`
  `setFieldValue(WorkerMetrics._Fields field, Object value)`
  `String`
  `toString()`
  `void`
  `unset_hostname()`
  `void`
  `unset_metricList()`
  `void`
  `unset_port()`
  `void`
  `unset_topologyId()`
  `void`
  `validate()`
  `void`
  `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### metaDataMap

    public static final Map<WorkerMetrics._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

- ## Constructor Details

  - ### WorkerMetrics

    public WorkerMetrics()

  - ### WorkerMetrics

    public WorkerMetrics(String topologyId, int port, String hostname, WorkerMetricList metricList)

  - ### WorkerMetrics

    public WorkerMetrics(WorkerMetrics other)
    Performs a deep copy on other.

- ## Method Details

  - ### deepCopy

    public WorkerMetrics deepCopy()
    Specified by:
      `deepCopy` in interface `org.apache.storm.thrift.TBase<WorkerMetrics,WorkerMetrics._Fields>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `org.apache.storm.thrift.TBase<WorkerMetrics,WorkerMetrics._Fields>`

  - ### get_topologyId

    public String get_topologyId()

  - ### set_topologyId

    public void set_topologyId(String topologyId)

  - ### unset_topologyId

    public void unset_topologyId()

  - ### is_set_topologyId

    public boolean is_set_topologyId()
    Returns true if field topologyId is set (has been assigned a value) and false otherwise

  - ### set_topologyId_isSet

    public void set_topologyId_isSet(boolean value)

  - ### get_port

    public int get_port()

  - ### set_port

    public void set_port(int port)

  - ### unset_port

    public void unset_port()

  - ### is_set_port

    public boolean is_set_port()
    Returns true if field port is set (has been assigned a value) and false otherwise

  - ### set_port_isSet

    public void set_port_isSet(boolean value)

  - ### get_hostname

    public String get_hostname()

  - ### set_hostname

    public void set_hostname(String hostname)

  - ### unset_hostname

    public void unset_hostname()

  - ### is_set_hostname

    public boolean is_set_hostname()
    Returns true if field hostname is set (has been assigned a value) and false otherwise

  - ### set_hostname_isSet

    public void set_hostname_isSet(boolean value)

  - ### get_metricList

    public WorkerMetricList get_metricList()

  - ### set_metricList

    public void set_metricList(WorkerMetricList metricList)

  - ### unset_metricList

    public void unset_metricList()

  - ### is_set_metricList

    public boolean is_set_metricList()
    Returns true if field metricList is set (has been assigned a value) and false otherwise

  - ### set_metricList_isSet

    public void set_metricList_isSet(boolean value)

  - ### setFieldValue

    public void setFieldValue(WorkerMetrics._Fields field, Object value)
    Specified by:
      `setFieldValue` in interface `org.apache.storm.thrift.TBase<WorkerMetrics,WorkerMetrics._Fields>`

  - ### getFieldValue

    public Object getFieldValue(WorkerMetrics._Fields field)
    Specified by:
      `getFieldValue` in interface `org.apache.storm.thrift.TBase<WorkerMetrics,WorkerMetrics._Fields>`

  - ### isSet

    public boolean isSet(WorkerMetrics._Fields field)
    Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    Specified by:
      `isSet` in interface `org.apache.storm.thrift.TBase<WorkerMetrics,WorkerMetrics._Fields>`

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Object`

  - ### equals

    public boolean equals(WorkerMetrics that)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(WorkerMetrics other)
    Specified by:
      `compareTo` in interface `Comparable<WorkerMetrics>`

  - ### fieldForId

    public WorkerMetrics._Fields fieldForId(int fieldId)
    Specified by:
      `fieldForId` in interface `org.apache.storm.thrift.TBase<WorkerMetrics,WorkerMetrics._Fields>`

  - ### read

    public void read(org.apache.storm.thrift.protocol.TProtocol iprot) throws org.apache.storm.thrift.TException
    Specified by:
      `read` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### write

    public void write(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `write` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### validate

    public void validate() throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`